[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[cross-project-issues-dev] Orbit Bundles To Be Removed From 2018-09 M3

Hey all,

I just wanted to give a heads-up that the following bundles (and
corresponding source bundles) are expected to be removed from the Orbit
build towards 2018-09, for M3 [1].

com.ibm.icu 56.1.0, 58.2.0 (use 62.0.0)
com.ibm.icu.base 56.1.0, 58.2.0 (use com.ibm.icu 62.0.0)
org.apache.felix.gogo.runtime 1.0.6 (use 1.1.0)
org.apache.felix.gogo.shell 1.0.0 (use 1.1.0)
org.apache.felix.scr 2.0.8, 2.0.10, 2.0.12 (use 2.0.14)
com.google.guava 15.0.0, 18.0.0 (use 21.0.0)
org.apache.ant 1.9.6, 1.10.3 (use 1.10.5, will be in soon)

There may be some additional bundles but they would be announced later
on (possibly older Lucene, tukaani.xz, ASM, HttpComponents).

If any projects are unable to update for some reason, or there's a good
reason not to remove one of these that I've missed, It would be good to
know ahead of time, though there is always the option to reference an
older build (eg. Photon) that would still contain them as well.

Thank-you,
Roland Grunberg

[1] https://wiki.eclipse.org/SimRel/2018-09/Simultaneous_Release_Plan#Schedule